<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::CompositorInstance Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#5e916aa434bd181800d745ecbaf7399b">_compileOutputOperation</a>(TargetOperation &amp;finalState)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#b021ecbc3214d82a8ce2702f95e21986">_compileTargetOperations</a>(CompiledState &amp;compiledState)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#356f66a6f94b53ebbe1fee71f219bfaf">_fireNotifyMaterialRender</a>(uint32 pass_id, MaterialPtr &amp;mat)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#62c2d7f611437483668ccf250a4841b9">_fireNotifyMaterialSetup</a>(uint32 pass_id, MaterialPtr &amp;mat)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#d2dcb9ae6aa4e0dfc0843a4cab32f800">addListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#71e09eaa840d87b42bc149c06aa3e0ff">collectPasses</a>(TargetOperation &amp;finalState, CompositionTargetPass *target)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#542cbb4277495b83ae702f991c599779">CompiledState</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#37ae5ce58afd2f0684c967bb1e780f58">CompositorChain</a> class</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#fab0b5b480729d9f2abb6c2539ebc175">CompositorInstance</a>(Compositor *filter, CompositionTechnique *technique, CompositorChain *chain)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#b730d261e3ce8c2d3dbd675f056e8966">createLocalMaterial</a>()</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#909fc5fda3e32e14a32bfde7b44d4a6a">createResources</a>()</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#a594fe3eaf57f5e206e5d4c847d77074">freeResources</a>()</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#e72e37d6f305e6ae1f1014336e9e2f4b">getChain</a>()</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#714fa12866adad893086d5e9bbc8ca7d">getCompositor</a>()</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#8620251cbeb5e1458a7438e61ce2854f">getEnabled</a>()</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#1a3f491817519cfdf1824222dcdf6ea6">getSourceForTex</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#a7f2a073b8295994eb1d0c73dcb9f166">getTargetForTex</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#3b91d482e4ab59da5165f021e5db6d83">getTechnique</a>()</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#cac5055f9720fb9b06edffda461e2ebb">getTextureInstanceName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#6a4983aa7ac3560bd2b0f2eb05c3a917">Listeners</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#a376bba92a454473511b2d85dd7a1bf1">LocalTextureMap</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#beb0b38cce2a6c765390544d054a75cf">mChain</a></td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#d527be1fedec4112efe9eb3ff8f6b925">mCompositor</a></td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#e14d9e70c48e35de5a49ebf29777a8f7">mEnabled</a></td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#4476eeba8785b7684dcc83e3a8bb7d31">mListeners</a></td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#fb44967dff9b29465e5e5ea7aa9d67ff">mLocalTextures</a></td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#cdac0c97861080d95c032ef8c21721e3">mPreviousInstance</a></td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#3d3a380fb753ad28cc3119d0f15868a4">mTechnique</a></td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#7a0c1dcc7720e06ae1d639d0aa788172">QuadMaterialMap</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#a251665019c7f50e2920c317e842d933">queueRenderSystemOp</a>(TargetOperation &amp;finalState, RenderSystemOperation *op)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#f0e83615e807bcadef8d6024cda6ec7d">removeListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#b03be79964e60192fc2d4446b81b29fe">RenderSystemOpPair</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#be1fafc9b94e4833ec62ce008c3a2bd6">RenderSystemOpPairs</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#2d4798f79dc9cce935815344e8d1bd85">setEnabled</a>(bool value)</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorInstance.html#c31217edeab3160905ec1e367eda7c17">~CompositorInstance</a>()</td><td><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:25 2008
</p>
</body>
</html>
